/*
 * JPA DAO Template
 *
 *
 * Takatuka - Template fuer JPA DAO
 *
 */

package de.ivu.elect.business.wahl.boundary;

import de.ivu.elect.business.wahl.entity.Wahldurchfuehrung;

@javax.enterprise.context.ApplicationScoped // ELECT-7845
public class WahldurchfuehrungDAO extends AbstractWahldurchfuehrungDAO {

  private static final long serialVersionUID = 1L;

  @javax.inject.Inject
  private transient de.ivu.elect.jee.entity.SimpleDAO simpleDAO;

  @Override
  protected javax.persistence.EntityManager getEntityManager() {
    return simpleDAO.getEntityManager();
  }

  public void persist(Wahldurchfuehrung wahldurchfuehrung){
    getEntityManager().persist(wahldurchfuehrung);
  }

  public void remove(Wahldurchfuehrung wahldurchfuehrung){
    getEntityManager().remove(wahldurchfuehrung);
  }

@javax.inject.Inject
private transient de.ivu.elect.presentation.system.DAOCache daoCache;

                    
        /**
        * Name: AllNoFlush<br>
        * Beschreibung: <br>
        * EJBQL: SELECT o FROM Wahldurchfuehrung o WHERE o.wahltermin.mandant=?1<br>
        * SQL: <br>
        */
        @Override
        public java.util.List<Wahldurchfuehrung> findByAll( @javax.annotation.Nonnull de.ivu.elect.business.mandant.entity.Mandant mandant) {

        if (de.ivu.elect.business.system.control.CacheQueries.CACHE_QUERIES_DAO) {
        de.ivu.elect.presentation.system.FinderKey key = new de.ivu.elect.presentation.system.FinderKey("Wahldurchfuehrung.findByAll" ,  mandant  );

        Object cached = daoCache.findInCache(key);

        if (cached==null) {
          return daoCache.cache(key, super.findByAll( mandant  ));
        }
        return (java.util.List<Wahldurchfuehrung>) cached;
        }
            return super.findByAll( mandant  );
            }
                                        
        /**
        * Name: NameNoFlush<br>
        * Beschreibung: <br>
        * EJBQL: SELECT OBJECT(o) FROM Wahldurchfuehrung o WHERE o.wahltermin.mandant=?1 AND o.name=?2<br>
        * SQL: <br>
        */
        @Override
        public java.util.List<Wahldurchfuehrung> findByName( @javax.annotation.Nonnull de.ivu.elect.business.mandant.entity.Mandant mandant,  @javax.annotation.Nonnull String name) {

        if (de.ivu.elect.business.system.control.CacheQueries.CACHE_QUERIES_DAO) {
        de.ivu.elect.presentation.system.FinderKey key = new de.ivu.elect.presentation.system.FinderKey("Wahldurchfuehrung.findByName" ,  mandant ,  name  );

        Object cached = daoCache.findInCache(key);

        if (cached==null) {
          return daoCache.cache(key, super.findByName( mandant ,  name  ));
        }
        return (java.util.List<Wahldurchfuehrung>) cached;
        }
            return super.findByName( mandant ,  name  );
            }
                    
@Override
public void clear() {
super.clear();
if (de.ivu.elect.business.system.control.CacheQueries.CACHE_QUERIES_DAO) {
daoCache.clear();
}

}

@Override
public void flush() {
super.flush();
if (de.ivu.elect.business.system.control.CacheQueries.CACHE_QUERIES_DAO) {
daoCache.clear();
}
}



}